# Uses of Interface
org.eclipse.birt.report.engine.api.IReportDocumentLockManager

Packages that use IReportDocumentLockManager
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IReportDocumentLockManager in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IReportDocumentLockManager
Modifier and Type
Method
Description
`IReportDocumentLockManager`
EngineConfig.`getReportDocumentLockManager()`
return a lock manager.
Methods in org.eclipse.birt.report.engine.api with parameters of type IReportDocumentLockManager
Modifier and Type
Method
Description
`void`
EngineConfig.`setReportDocumentLockManager(IReportDocumentLockManager manager)`
Set report document lock manager